/**
 * The equivalent of a SQL operation.
 **/
Sql.Filter = new Class
({
	Extends: Sql.Operation
	,Tag: 'sql-filter'

	,isReady: function ()
	{
		var e = this.exprs.getArray ();
	
		for (var i = 0; i < e.length; i++)
		if (e[i].isReady ())
			return true;
				
		return false;
	}
});
